V2.0
get
/ec-designer-svc/rest/v2.0/studies/{studyId}/versions/{version}/studyMetadata
Retrieves metadata for a specified study ID and study version.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
F054C951EB74443C93716CA714AB686E -
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
Query Parameters
-
asofdate(required): string
Format for the study metadataExample:
2024-01-15T10:30:00 -
format(required): string
Format for the study metadataAllowed Values:
[ "unique", "casebook" ]Example:unique
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object Study
ODM Study container with global variables, optional basic definitions and one or more metadata versions describing the study structure.
Nested Schema : Study
Type:
objectODM Study container with global variables, optional basic definitions and one or more metadata versions describing the study structure.
Show Source
-
basicDefinitions: object
BasicDefinitions
Collection of units of measurement defined for this study.
-
globalVariables(required): object
GlobalVariables
Global attributes of a study including human readable name, description and protocol identifier.
-
metaDataVersion: array
metaDataVersion
One or more metadata versions that define the study design and data structures.
-
oid: string
Unique identifier for the Study within ODM context.Example:
S_0001 -
safetyIntegrationEnabled: string
Indicates if Safety integration is enabled for this study. Values may be true or false.Example:
true
Nested Schema : BasicDefinitions
Type:
objectCollection of units of measurement defined for this study.
Show Source
-
measurementUnit: array
MeasurementUnit
Units of measurement defined for this study.
Nested Schema : GlobalVariables
Type:
objectGlobal attributes of a study including human readable name, description and protocol identifier.
Show Source
-
protocolName(required): object
ProtocolName
Protocol identifier or shorthand title container.
-
studyDescription(required): object
StudyDescription
Description of the study.
-
studyName(required): object
StudyName
Official study name.
Example:
<GlobalVariables><StudyName>STUDY01</StudyName><StudyDescription>Study01</StudyDescription><ProtocolName>STUDY01</ProtocolName></GlobalVariables>Nested Schema : metaDataVersion
Type:
arrayOne or more metadata versions that define the study design and data structures.
Show Source
-
Array of:
object MetaDataVersion
Defines the study design and data structures including events, forms, items, code lists and methods.
Nested Schema : MeasurementUnit
Type:
arrayUnits of measurement defined for this study.
Show Source
-
Array of:
object MeasurementUnit
Definition of a measurement unit including symbol and optional aliases.
Nested Schema : MeasurementUnit
Type:
objectDefinition of a measurement unit including symbol and optional aliases.
Show Source
-
alias: array
Alias
Zero or more aliases for this unit.
-
name: string
Human friendly name of the unit.Example:
mg -
oid: string
Unique identifier for the measurement unit within ODM context.Example:
mg -
symbol(required): object
Symbol
Symbol for a measurement unit represented as a list of translated text entries.
Example:
<MeasurementUnit OID="mg" Name="mg"><Symbol><TranslatedText>mg</TranslatedText></Symbol></MeasurementUnit>Nested Schema : Alias
Type:
arrayZero or more aliases for this unit.
Show Source
-
Array of:
object Alias
Alternative naming context and value for an ODM element.
Nested Schema : Symbol
Type:
objectSymbol for a measurement unit represented as a list of translated text entries.
Show Source
-
translatedText(required): array
TranslatedText
Translated symbol values with language codes.
Example:
<Symbol><TranslatedText>mg</TranslatedText></Symbol>Nested Schema : Alias
Type:
objectAlternative naming context and value for an ODM element.
Show Source
-
context: string
Naming context for the alias.Example:
CDISC -
name: string
Alias value within the given context.Example:
MG
Example:
<Alias Context="CDISC" Name="MG"/>Nested Schema : TranslatedText
Type:
arrayTranslated symbol values with language codes.
Show Source
-
Array of:
object TranslatedText
Localized text value with associated language code.
Nested Schema : TranslatedText
Type:
objectLocalized text value with associated language code.
Show Source
-
lang: string
BCP 47 language code for the text value.Example:
en -
value: string
Text value.Example:
mg
Example:
<TranslatedText>mg</TranslatedText>Nested Schema : ProtocolName
Type:
objectProtocol identifier or shorthand title container.
Show Source
-
value: string
Protocol identifier or shorthand title.Example:
STUDY01
Example:
<ProtocolName>STUDY01</ProtocolName>Nested Schema : StudyDescription
Type:
objectDescription of the study.
Show Source
-
value: string
Free text description content.Example:
Randomized double-blind trial across 25 sites
Example:
<StudyDescription>Randomized double-blind trial across 25 sites</StudyDescription>Nested Schema : StudyName
Type:
objectOfficial study name.
Show Source
-
value: string
Human readable study name.Example:
STUDY01
Example:
<StudyName>STUDY01</StudyName>Nested Schema : MetaDataVersion
Type:
objectDefines the study design and data structures including events, forms, items, code lists and methods.
Show Source
-
codeList: array
CodeList
Code lists used by item definitions.
-
conditionDef: array
ConditionDef
Conditional logic definitions used in the study.
-
description: string
Optional description for this metadata version.Example:
Initial metadata version -
formDef: array
formDef
Form definitions contained in events.
-
imputationMethod: array
ImputationMethod
Imputation methods available to handle missing data.
-
include: object
Include
Reference to another study and metadata version within ODM.
-
itemDef: array
itemDef
Item definitions used across the study.
-
itemGroupDef: array
itemGroupDef
Item group definitions within forms.
-
methodDef: array
MethodDef
Method definitions for derivations or calculations.
-
name: string
Human friendly name for this metadata version.Example:
Base Metadata -
oid: string
Unique identifier for this metadata version.Example:
MDV_0001 -
presentation: array
Presentation
Presentation configurations for items and forms.
-
protocol: object
Protocol
Study protocol definition including description and references to study events.
-
studyEventDef: array
studyEventDef
Definitions of study events or visits.
Example:
<MetaDataVersionOID="STUDY01v1.0.0.3"Name="STUDY01"co:StudyWid="25"co:GUID="0C7CBA3F70034C47947E2FAB086BFBF5"co:VersionStart="2025-10-29T14:37:54.638Z"><Protocol><StudyEventRefStudyEventOID="AE_DBB3A65B0A97454DAFEAEDDAB37395A1"OrderNumber="1"Mandatory="No"></StudyEventRef><StudyEventRefStudyEventOID="SCR_FD227430BECA4DECA5EA8B0E4DBE18CA"OrderNumber="2"Mandatory="Yes"></StudyEventRef><StudyEventRefStudyEventOID="Baseline_5DF278EB00F24820B9CEFE7BFD7A3078"OrderNumber="3"Mandatory="Yes"></StudyEventRef></Protocol><StudyEventDefOID="CBVisit2_AD5ACD1ED5E346129C6FABE4FA2E7DBE"Name="CBVISIT2"Repeating="No"Type="Scheduled"Category="ScheduleAbleVisit"co:StudyEventWid="248"co:GUID="AD5ACD1ED5E346129C6FABE4FA2E7DBE"co:VersionStart="2025-10-29T14:37:55.423Z"co:DelayDays="4"co:DelayHours="0"co:DelayWindowBeforeDays="2"co:DelayWindowBeforeHours="0"co:DelayWindowAfterDays="2"co:DelayWindowAfterHours="0"><FormRefFormOID="VITAL_SIGNS_FORM_TO_COLLECT_MEASUREMENT_3ADB1375C6714B8C97CA14AFA175D739"OrderNumber="1"Mandatory="Yes"></FormRef><FormRefFormOID="TWOSECTIONF1_19E7EE6903814132A9427E3E7A297107"OrderNumber="2"Mandatory="Yes"></FormRef></StudyEventDef><FormDefOID="DECISION_FORM_FOR_BRANCH_026521949ED24C69B0A82084832A3262"Name="DecisionFrom For Branch"Repeating="No"><ItemGroupRefOrderNumber="1"Mandatory="No"ItemGroupOID="IG_DATE_TIME_6ED56EC23ADD4841B8AC22ECB6205774"></ItemGroupRef><ItemGroupRefOrderNumber="2"Mandatory="Yes"ItemGroupOID="IG_ENABLE_DYNAMIC_VISIT_18936986318C4B00AAF89CDA492E6876"></ItemGroupRef></FormDef><ItemGroupDefOID="IG_LAB_FORM_XRAY_E98F15D6F16F425A8F0EC3B92C8B718F"Name="Lab Form - XRAY"Repeating="Yes"><ItemRefOrderNumber="1"Mandatory="No"ItemOID="LB_TEST_0267AEECE55441088516DA2C0E1B2EDC"></ItemRef><ItemRefOrderNumber="2"Mandatory="Yes"ItemOID="LB_RESULT_DE498EE22C884D55A50D285580AB674D"></ItemRef><ItemRefOrderNumber="3"Mandatory="No"ItemOID="LB_UNIT_00C6D2BF3F8B4178AAB25EBD3304E39E"></ItemRef><ItemRefOrderNumber="4"Mandatory="No"ItemOID="LB_LOW_RANGE_C8B8EEFE75F543299542C222ED94C28F"></ItemRef><ItemRefOrderNumber="5"Mandatory="No"ItemOID="LB_HIGH_RANGE_5CE74A4A9E97435B933B6C28645342AA"></ItemRef><ItemRefOrderNumber="6"Mandatory="No"ItemOID="NORMAL_TEXT_RESULT_746B6577A50C4D0A9DB53E1CD6B60551"></ItemRef></ItemGroupDef><ItemDefOID="SUBJECT_INITIALS_CF149710CBE24A6BB9266E52B5F5BA0F"Name="Subject_Initials"DataType="string"Length="3"co:ItemWid="618"co:GUID="CF149710CBE24A6BB9266E52B5F5BA0F"co:ItemVersionStart="2025-10-29T14:37:55.044Z"co:Precision="0"co:AllowFutureDate="No"><Question><TranslatedText>SubjectInitials</TranslatedText></Question></ItemDef><CodeListOID="GENDER_LAB_GENDER_0056B65135E24D8B960E3E9C4B68E280"Name="Gender"DataType="string"><CodeListItemCodedValue="C46"co:SelectionOID="GENDER_LAB_GENDER_0056B65135E24D8B960E3E9C4B68E280_GENDER_LA2"><Decode><TranslatedText>Female</TranslatedText></Decode></CodeListItem></CodeList></MetaDataVersion>Nested Schema : CodeList
Type:
arrayCode lists used by item definitions.
Show Source
-
Array of:
object CodeList
CodeList defining permissible values via CodeListItem/EnumeratedItem or referencing an external catalog.
Nested Schema : ConditionDef
Type:
arrayConditional logic definitions used in the study.
Show Source
-
Array of:
object ConditionDef
Definition of a condition used within ODM to control logic, exceptions, or method execution.
Nested Schema : formDef
Type:
arrayForm definitions contained in events.
Show Source
-
Array of:
object FormDef
Form definition containing item group references, archive layout, and metadata.
Nested Schema : ImputationMethod
Type:
arrayImputation methods available to handle missing data.
Show Source
-
Array of:
object ImputationMethod
ImputationMethod element describing how missing values are imputed.
Nested Schema : Include
Type:
objectReference to another study and metadata version within ODM.
Show Source
-
metaDataVersionOID: string
Referenced metadata version OID.Example:
MDV_0001 -
studyOID: string
Referenced study OID.Example:
S_0001
Example:
{
"studyOID":"S_0001",
"metaDataVersionOID":"MDV_0001"
}Nested Schema : itemDef
Type:
arrayItem definitions used across the study.
Show Source
-
Array of:
object ItemDef
Item definition including data type, question text, range checks, code list reference, and metadata.
Nested Schema : itemGroupDef
Type:
arrayItem group definitions within forms.
Show Source
-
Array of:
object ItemGroupDef
Item group definition aggregating item references, attributes, and metadata.
Nested Schema : MethodDef
Type:
arrayMethod definitions for derivations or calculations.
Show Source
-
Array of:
object MethodDef
Definition of a computation or derivation used within the ODM metadata, including description, formal expressions, aliases, and attributes.
Nested Schema : Presentation
Type:
arrayPresentation configurations for items and forms.
Show Source
-
Array of:
object Presentation
Presentation element containing display text and metadata.
Nested Schema : Protocol
Type:
objectStudy protocol definition including description and references to study events.
Show Source
-
alias: array
Alias
Optional aliases for the protocol.
-
description: object
Description
Localized description containing one or more translated text entries.
-
studyEventRef: array
StudyEventRef
References to study events that constitute the schedule of assessments.
Example:
{
"description":{
"translatedText":[
{
"value":"Protocol overview",
"lang":"en"
}
]
},
"studyEventRef":[
{
"studyEventOID":"SE_VISIT1",
"orderNumber":1,
"mandatory":"Yes",
"collectionExceptionConditionOID":"COND_001"
}
],
"alias":[
{
"context":"SPONSOR",
"name":"PROTO-001"
}
]
}Nested Schema : studyEventDef
Type:
arrayDefinitions of study events or visits.
Show Source
-
Array of:
object StudyEventDef
Study event definition containing form references, scheduling attributes, and metadata.
Nested Schema : CodeList
Type:
objectCodeList defining permissible values via CodeListItem/EnumeratedItem or referencing an external catalog.
Show Source
-
alias: array
Alias
Aliases that provide cross-references (e.g., SDTM variable names).
-
codeListItem: array
codeListItem
Permissible values as coded items. Use when values are explicitly enumerated.
-
dataType: string
Allowed Values:
[ "INTEGER", "FLOAT", "TEXT", "STRING" ]Data type for values in this CodeList.Example:text -
description: object
Description
Localized description containing one or more translated text entries.
-
enumeratedItem: array
EnumeratedItem
Alternate representation of permissible values as enumerated items.
-
externalCodeList: object
ExternalCodeList
Reference to an external catalog-based code list.
-
name: string
Display name of the CodeList.Example:
AgeUnits -
oid: string
Object identifier for this CodeList.Example:
CL.AGE -
sasformatName: string
Example:
<CodeList OID="CL.AGE" Name="AgeUnits" DataType="text" SASFormatName="AGEFMT"><Description>Age units used for subject age</Description><CodeListItem CodedValue="YEARS"><Decode><TranslatedText xml:lang="en">Years</TranslatedText></Decode></CodeListItem><CodeListItem CodedValue="MONTHS"><Decode><TranslatedText xml:lang="en">Months</TranslatedText></Decode></CodeListItem><Alias Context="SDTM" Name="AGEU"/></CodeList>Nested Schema : Alias
Type:
arrayAliases that provide cross-references (e.g., SDTM variable names).
Show Source
-
Array of:
object Alias
Alternative naming context and value for an ODM element.
Nested Schema : codeListItem
Type:
arrayPermissible values as coded items. Use when values are explicitly enumerated.
Show Source
-
Array of:
object CodeListItem
Permissible values as coded items. Use when values are explicitly enumerated.
Nested Schema : Description
Type:
objectLocalized description containing one or more translated text entries.
Show Source
-
translatedText(required): array
TranslatedText
Localized description text entries.
Example:
<Description>
<TranslatedText xml:lang="en">Protocol overview</TranslatedText>
</Description>Nested Schema : EnumeratedItem
Type:
arrayAlternate representation of permissible values as enumerated items.
Show Source
-
Array of:
object EnumeratedItem
Alternate representation of permissible values as enumerated items.
Nested Schema : ExternalCodeList
Type:
objectReference to an external catalog-based code list.
Show Source
Nested Schema : CodeListItem
Type:
objectPermissible values as coded items. Use when values are explicitly enumerated.
Show Source
Nested Schema : Alias
Type:
Show Source
array-
Array of:
object Alias
Alternative naming context and value for an ODM element.
Nested Schema : TranslatedText
Type:
Show Source
array-
Array of:
object TranslatedText
Localized text value with associated language code.
Nested Schema : TranslatedText
Type:
arrayLocalized description text entries.
Show Source
-
Array of:
object TranslatedText
Localized text value with associated language code.
Nested Schema : EnumeratedItem
Type:
objectAlternate representation of permissible values as enumerated items.
Show Source
Nested Schema : Alias
Type:
Show Source
array-
Array of:
object Alias
Alternative naming context and value for an ODM element.
Nested Schema : ConditionDef
Type:
objectDefinition of a condition used within ODM to control logic, exceptions, or method execution.
Show Source
-
alias: array
Alias
Optional aliases for the condition.
-
description(required): object
Description
Localized description containing one or more translated text entries.
-
formalExpression: array
FormalExpression
One or more formal expressions defining the condition logic.
-
name: string
Display name for the condition.Example:
Weight Check -
oid: string
Unique identifier for the condition within the ODM context.Example:
COND.WEIGHT_CHECK
Example:
<ConditionDef OID="COND.WEIGHT_CHECK" Name="Weight Check">
<Description>
<TranslatedText xml:lang="en">Check weight-based dosing</TranslatedText>
</Description>
<FormalExpression Context="SAS">if (WEIGHT GT 0) then DOSE=WEIGHT*CONC; else DOSE=.;</FormalExpression>
<Alias Context="bookmark" Name="WeightCheck"/>
</ConditionDef>Nested Schema : Alias
Type:
arrayOptional aliases for the condition.
Show Source
-
Array of:
object Alias
Alternative naming context and value for an ODM element.
Nested Schema : FormalExpression
Type:
arrayOne or more formal expressions defining the condition logic.
Show Source
-
Array of:
object FormalExpression
Expression representing method logic in a specific execution context or language.
Nested Schema : FormalExpression
Type:
objectExpression representing method logic in a specific execution context or language.
Show Source
-
context: string
Execution context or language for the expression.Example:
SAS -
value: string
Formal expression text.Example:
if (WEIGHT GT 0) then DOSE=WEIGHT*CONC; else DOSE=.;
Example:
<FormalExpression Context="SAS">if (WEIGHT GT 0) then DOSE=WEIGHT*CONC; else DOSE=.;</FormalExpression>Nested Schema : FormDef
Type:
objectForm definition containing item group references, archive layout, and metadata.
Show Source
-
alias: array
Alias
Aliases providing cross-references, e.g., SDTM mapping.
-
archiveLayout: array
ArchiveLayout
Archive layout definitions for this form.
-
description: object
Description
Localized description containing one or more translated text entries.
-
itemGroupRef: array
ItemGroupRef
References to item groups included in this form.
-
name: string
Display name of the form.Example:
Demographics Form -
oid: string
Object identifier for the FormDef.Example:
FRM.DEMO -
repeating: string
Allowed Values:
[ "YES", "NO", "Yes", "No" ]Represents a Yes or No value.Example:Yes
Example:
<FormDef OID="FRM.DEMO" Name="Demographics Form" Repeating="No"><Description>Form capturing demographic information</Description><ItemGroupRef ItemGroupOID="IG.DEMO" Mandatory="Yes" OrderNumber="1"/><ArchiveLayout Name="DefaultLayout"/><Alias Context="SDTM" Name="DM"/></FormDef>Nested Schema : Alias
Type:
arrayAliases providing cross-references, e.g., SDTM mapping.
Show Source
-
Array of:
object Alias
Alternative naming context and value for an ODM element.
Nested Schema : ArchiveLayout
Type:
arrayArchive layout definitions for this form.
Show Source
-
Array of:
object ArchiveLayout
Archive layout definitions for this form.
Nested Schema : ItemGroupRef
Type:
arrayReferences to item groups included in this form.
Show Source
-
Array of:
object ItemGroupRef
References to item groups included in this form.
Nested Schema : ItemGroupRef
Type:
objectReferences to item groups included in this form.
Show Source
-
collectionExceptionConditionOID: string
-
itemGroupOID: string
-
mandatory: string
Allowed Values:
[ "YES", "NO", "Yes", "No" ]Represents a Yes or No value.Example:Yes -
orderNumber: integer
Nested Schema : ImputationMethod
Type:
objectImputationMethod element describing how missing values are imputed.
Show Source
-
oid: string
Object identifier for the ImputationMethod element.Example:
IMP001 -
value: string
Imputation method text content.Example:
Mean Imputation
Example:
<ImputationMethod OID="IMP001">Mean Imputation</ImputationMethod>Nested Schema : ItemDef
Type:
objectItem definition including data type, question text, range checks, code list reference, and metadata.
Show Source
-
alias: array
Alias
Aliases providing cross-references, e.g., to SDTM.
-
codeListRef: object
CodeListRef
Reference to a CodeList that constrains values for this item.
-
comment: string
Optional comment regarding the item.Example:
Age of subject -
dataType: string
Allowed Values:
[ "INTEGER", "FLOAT", "DATE", "DATETIME", "TIME", "TEXT", "STRING", "DOUBLE", "URI", "BOOLEAN", "HEX_BINARY", "BASE_64_BINARY", "HEX_FLOAT", "BASE_64_FLOAT", "PARTIAL_DATE", "PARTIAL_TIME", "PARTIAL_DATETIME", "DURATION_DATETIME", "INTERVAL_DATETIME", "INCOMPLETE_DATETIME", "INCOMPLETE_DATE", "INCOMPLETE_TIME" ]Data type of the item value.Example:integer -
description: object
Description
Localized description containing one or more translated text entries.
-
externalQuestion: object
ExternalQuestion
Optional external question metadata reference.
-
length: integer
Maximum length for character or numeric fields.Example:
3 -
measurementUnitRef: array
MeasurementUnitRef
List of measurement units referenced by this item.
-
name: string
Display name of the item.Example:
Age -
oid: string
Object identifier for the ItemDef.Example:
IT.AGE -
origin: string
Origin of the item value (e.g., Collected, Derived).Example:
Collected -
question: object
Question
Primary question text associated with the ItemDef.
-
rangeCheck: array
RangeCheck
Validation constraints for values of this item.
-
role: array
Role
Roles associated with this item.
-
sasfieldName: string
-
sdsvarName: string
-
significantDigits: integer
Number of significant digits for numeric values.Example:
0
Example:
<ItemDef OID="IT.AGE" Name="Age" DataType="integer" Length="3" SignificantDigits="0" SASFieldName="AGE" SDSVarName="AGE" Origin="Collected" Comment="Age of subject"><Description>Subject age in years</Description><Question>What is the subject's age?</Question><MeasurementUnitRef MeasurementUnitOID="MU.YEARS"/><RangeCheck Comparator="GE" SoftHard="Soft"><CheckValue>0</CheckValue></RangeCheck><RangeCheck Comparator="LE" SoftHard="Soft"><CheckValue>130</CheckValue></RangeCheck><CodeListRef CodeListOID="CL.AGEU"/><Role>Demographics</Role><Alias Context="SDTM" Name="AGE"/></ItemDef>Nested Schema : Alias
Type:
arrayAliases providing cross-references, e.g., to SDTM.
Show Source
-
Array of:
object Alias
Alternative naming context and value for an ODM element.
Nested Schema : CodeListRef
Type:
objectReference to a CodeList that constrains values for this item.
Show Source
Nested Schema : ExternalQuestion
Type:
objectOptional external question metadata reference.
Show Source
Nested Schema : MeasurementUnitRef
Type:
arrayList of measurement units referenced by this item.
Show Source
Nested Schema : Question
Type:
objectPrimary question text associated with the ItemDef.
Show Source
Nested Schema : RangeCheck
Type:
arrayValidation constraints for values of this item.
Show Source
-
Array of:
object RangeCheck
Validation constraints for values of this item.
Nested Schema : Role
Type:
arrayRoles associated with this item.
Show Source
-
Array of:
object Role
Roles associated with this item.
Nested Schema : TranslatedText
Type:
Show Source
array-
Array of:
object TranslatedText
Localized text value with associated language code.
Nested Schema : RangeCheck
Type:
objectValidation constraints for values of this item.
Show Source
-
checkValue: array
CheckValue
-
comparator: string
Allowed Values:
[ "LT", "LE", "GT", "GE", "EQ", "NE", "IN", "NOTIN" ] -
errorMessage: object
ErrorMessage
-
formalExpression: array
FormalExpression
-
measurementUnitRef: object
MeasurementUnitRef
-
softHard: string
Allowed Values:
[ "SOFT", "HARD" ]
Nested Schema : FormalExpression
Type:
Show Source
array-
Array of:
object FormalExpression
Expression representing method logic in a specific execution context or language.
Nested Schema : TranslatedText
Type:
Show Source
array-
Array of:
object TranslatedText
Localized text value with associated language code.
Nested Schema : ItemGroupDef
Type:
objectItem group definition aggregating item references, attributes, and metadata.
Show Source
-
alias: array
Alias
Aliases providing cross-references, e.g., to SDTM.
-
comment: string
Optional comment.Example:
Demographics group -
description: object
Description
Localized description containing one or more translated text entries.
-
domain: string
Domain value used in SDTM mapping.Example:
DM -
isReferenceData: string
Allowed Values:
[ "YES", "NO", "Yes", "No" ]Represents a Yes or No value.Example:Yes -
itemRef: array
ItemRef
References to items included in this group.
-
name: string
Display name of the item group.Example:
Demographics -
oid: string
Object identifier for the ItemGroupDef.Example:
IG.DEMO -
origin: string
Origin of the data represented by this group (e.g., Collected, Derived).Example:
Collected -
purpose: string
Purpose of this item group.Example:
CRF -
repeating: string
Allowed Values:
[ "YES", "NO", "Yes", "No" ]Represents a Yes or No value.Example:Yes -
role: string
Role of this group within the form.Example:
Form -
sasdatasetName: string
Example:
<ItemGroupDef OID="IG.DEMO" Name="Demographics" Repeating="No" IsReferenceData="No" SASDatasetName="DM" Domain="DM" Origin="Collected" Role="Form" Purpose="CRF" Comment="Demographics group"><Description>Demographics item group</Description><ItemRef ItemOID="IT.AGE" Mandatory="Yes" OrderNumber="1"/><ItemRef ItemOID="IT.SEX" Mandatory="Yes" OrderNumber="2"/><Alias Context="SDTM" Name="DMIG"/></ItemGroupDef>Nested Schema : Alias
Type:
arrayAliases providing cross-references, e.g., to SDTM.
Show Source
-
Array of:
object Alias
Alternative naming context and value for an ODM element.
Nested Schema : MethodDef
Type:
objectDefinition of a computation or derivation used within the ODM metadata, including description, formal expressions, aliases, and attributes.
Show Source
-
alias: array
Alias
Aliases providing alternative names in different contexts.
-
description(required): object
Description
Localized description containing one or more translated text entries.
-
formalExpression: array
FormalExpression
One or more formal expressions describing the method logic and its execution context.
-
name: string
Human-readable method name.Example:
DoseComputation -
oid: string
Unique identifier for the method within the ODM metadata.Example:
MD.METH001 -
type: string
Allowed Values:
[ "COMPUTATION", "IMPUTATION", "TRANSPOSE", "OTHER", "Computation", "Imputation", "Transpose", "Other" ]Classification of the method.
Example:
<MethodDef OID="MD.METH001" Name="DoseComputation" Type="Computation">
<Description>
<TranslatedText xml:lang="en">Compute derived dose based on weight and concentration</TranslatedText>
</Description>
<FormalExpression Context="SAS">if (WEIGHT GT 0) then DOSE=WEIGHT*CONC; else DOSE=.;</FormalExpression>
<Alias Context="CDISC" Name="DRVDose"/>
</MethodDef>Nested Schema : Alias
Type:
arrayAliases providing alternative names in different contexts.
Show Source
-
Array of:
object Alias
Alternative naming context and value for an ODM element.
Nested Schema : FormalExpression
Type:
arrayOne or more formal expressions describing the method logic and its execution context.
Show Source
-
Array of:
object FormalExpression
Expression representing method logic in a specific execution context or language.
Nested Schema : Presentation
Type:
objectPresentation element containing display text and metadata.
Show Source
-
lang: string
(language)
Language code per IETF BCP 47 (xml:lang).Example:
en -
oid: string
Object identifier for the Presentation element.Example:
PRES001 -
value: string
Presentation text content.Example:
Tablet, 50 mg
Example:
<Presentation OID="PRES001" xml:lang="en">Tablet, 50 mg</Presentation>Nested Schema : Alias
Type:
arrayOptional aliases for the protocol.
Show Source
-
Array of:
object Alias
Alternative naming context and value for an ODM element.
Nested Schema : StudyEventRef
Type:
arrayReferences to study events that constitute the schedule of assessments.
Show Source
-
Array of:
object StudyEventRef
Reference to a study event within the protocol schedule, including ordering and mandatory collection attributes.
Nested Schema : StudyEventRef
Type:
objectReference to a study event within the protocol schedule, including ordering and mandatory collection attributes.
Show Source
-
collectionExceptionConditionOID: string
Optional condition OID that defines exceptions for data collection.Example:
COND_001 -
mandatory: string
Allowed Values:
[ "YES", "NO", "Yes", "No" ]Represents a Yes or No value.Example:Yes -
orderNumber: integer
(int32)
Order number of the study event within the schedule.Example:
1 -
studyEventOID: string
OID of the referenced StudyEventDef.Example:
SE_VISIT1
Example:
{
"studyEventOID":"SE_VISIT1",
"orderNumber":1,
"mandatory":"Yes",
"collectionExceptionConditionOID":"COND_001"
}Nested Schema : StudyEventDef
Type:
objectStudy event definition containing form references, scheduling attributes, and metadata.
Show Source
-
alias: array
Alias
Aliases providing cross-references (e.g., SDTM).
-
category: string
Optional category for the event.Example:
Screening -
description: object
Description
Localized description containing one or more translated text entries.
-
formRef: array
FormRef
References to forms associated with this study event.
-
name: string
Display name of the study event.Example:
Visit 1 -
oid: string
Object identifier for the StudyEventDef.Example:
SE.VISIT1 -
repeating: string
Allowed Values:
[ "YES", "NO", "Yes", "No" ]Represents a Yes or No value.Example:Yes -
type: string
Allowed Values:
[ "SCHEDULED", "UNSCHEDULED", "COMMON" ]Type of study event (e.g., Scheduled, Unscheduled).Example:Scheduled
Example:
<StudyEventDef OID="SE.VISIT1" Name="Visit 1" Repeating="No" Type="Scheduled" Category="Screening"><Description>Initial screening visit</Description><FormRef FormOID="FRM.DEMO" Mandatory="Yes" OrderNumber="1"/><Alias Context="SDTM" Name="SV"/></StudyEventDef>Nested Schema : Alias
Type:
arrayAliases providing cross-references (e.g., SDTM).
Show Source
-
Array of:
object Alias
Alternative naming context and value for an ODM element.
Nested Schema : FormRef
Type:
arrayReferences to forms associated with this study event.
Show Source
Examples
404 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.